#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EStreamChannel {
    Invalid = -1,
    Discovery = 0,
    Control = 1,
    Stats = 2,
    DataChannelStart = 3,
}

impl EStreamChannel {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::Discovery as i32 => Some(Self::Discovery),
            x if x == Self::Control as i32 => Some(Self::Control),
            x if x == Self::Stats as i32 => Some(Self::Stats),
            x if x == Self::DataChannelStart as i32 => Some(Self::DataChannelStart),
            _ => None,
        }
    }
}
